# Class CIM_TelnetSettingData
extends CIM_SettingData

A representation of the settings of a Telnet server connection. The relationship between the SettingData and the TelnetProtocolEndpoint is described by instantiating the ElementSettingData association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_TelnetSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A representation of the settings of a Telnet server connection. The relationship between the SettingData and the TelnetProtocolEndpoint is described by instantiating the ElementSettingData association.
UMLPackagePath | string | CIM::Network::ConsoleProtocols
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CharacterDisplayMode | uint16 |
Description | string | The character display mode that will be active if this SettingData is applied.
ModelCorrespondence | string | CIM_TelnetSettingData.OtherCharacterDisplayMode, CIM_TelnetProtocolEndpoint.EnabledCharacterDisplayModes
ValueMap | string | 1, 2, 3, .., 32768..65535
Values | string | Other, Console, Stream, DMTF Reserved, Vendor Reserved
Write | boolean | true
EscapeCharacter | string |
Description | string | String indicating the Escape Character that will be in effect if this SettingData is applied.
ModelCorrespondence | string | CIM_TelnetProtocolEndpoint.EscapeCharacter
Write | boolean | true
IdleTimeout | uint32 | 0
Description | string | IdleTimeout specifies how long the connection can be idle before it is closed. The default value, 0, indicates that there is no idle timeout period.
PUnit | string | second
Units | string | Seconds
Write | boolean | true
OtherCharacterDisplayMode | string |
Description | string | When the CharacterDisplayMode property is set to 1, "Other" then this is a free form string providing more information about the character display mode. If not set to 1, this string has no meaning.
ModelCorrespondence | string | CIM_TelnetProtocolEndpoint.CharacterDisplayMode, CIM_TelnetSettingData.OtherEnabledCharacterDisplayMode
Write | boolean | true
OtherTerminalMode | string |
Description | string | If the TerminalMode property is set to 1, "Other" then this is a free form string providing more information about the current terminal mode. If not set to 1, this string has no meaning.
ModelCorrespondence | string | CIM_TelnetSettingData.TerminalMode
Write | boolean | true
TerminalMode | uint16 |
Description | string | The terminal mode that will be in use if this SettingData is applied.
ModelCorrespondence | string | CIM_TelnetSettingData.OtherTerminalMode, CIM_TelnetSettingData.EnabledTerminalModes
ValueMap | string | 1, 2, 3, .., 32768..65535
Values | string | Other, VT100, ANSI, DMTF Reserved, Vendor Reserved
Write | boolean | true
EnabledCharacterDisplayModes | uint16[] |
Description | string | An array of integers indicating the Character display modes enabled for the endpoint.
ModelCorrespondence | string | CIM_TelnetSettingData.OtherEnabledCharacterDisplayMode
ValueMap | string | 1, 2, 3, .., 32768..65535
Values | string | Other, Console, Stream, DMTF Reserved, Vendor Reserved
Write | boolean | true
EnabledTerminalModes | uint16[] |
Description | string | An array of integers indicating the terminal modes that will be enabled.
ModelCorrespondence | string | CIM_TelnetSettingData.OtherEnabledTerminalMode
ValueMap | string | 1, 2, 3, .., 32768..65535
Values | string | Other, VT100, ANSI, DMTF Reserved, Vendor Reserved
Write | boolean | true
OtherEnabledCharacterDisplayMode | string[] |
ArrayType | string | Indexed
Description | string | When the EnabledCharacterDisplayModes property contains a value of 1, "Other" then this is a free form string providing more information about the enabled modes. If it does not contain 1, this string has no meaning.
ModelCorrespondence | string | CIM_TelnetProtocolEndpoint.EnabledCharacterDisplayModes
Write | boolean | true
OtherEnabledTerminalMode | string[] |
ArrayType | string | Indexed
Description | string | When the EnabledTerminalModes property contains a value of 1, "Other" then free form string providing more information about the enabled terminal mode. If it does not contain 1, this string has no meaning.
ModelCorrespondence | string | CIM_TelnetSettingData.EnabledTerminalModes
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods